summaryrefslogtreecommitdiffstats
path: root/debian/htdig/htdig-3.2.0b6/test/t_rdonly
diff options
context:
space:
mode:
Diffstat (limited to 'debian/htdig/htdig-3.2.0b6/test/t_rdonly')
-rwxr-xr-xdebian/htdig/htdig-3.2.0b6/test/t_rdonly32
1 files changed, 32 insertions, 0 deletions
diff --git a/debian/htdig/htdig-3.2.0b6/test/t_rdonly b/debian/htdig/htdig-3.2.0b6/test/t_rdonly
new file mode 100755
index 00000000..c6a3239b
--- /dev/null
+++ b/debian/htdig/htdig-3.2.0b6/test/t_rdonly
@@ -0,0 +1,32 @@
+#
+# Part of the ht://Dig package <http://www.htdig.org/>
+# Copyright (c) 1999-2004 The ht://Dig Group
+# For copyright details, see the file COPYING in your distribution
+# or the GNU Library General Public License (LGPL) version 2 or later
+# <http://www.gnu.org/copyleft/lgpl.html>
+#
+# $Id: t_rdonly,v 1.4 2004/05/28 13:15:30 lha Exp $
+#
+
+. ./test_functions
+
+export MIFLUZ_CONFIG ; MIFLUZ_CONFIG=${srcdir}/mifluz-search.conf
+./txt2mifluz -z $VERBOSE < $srcdir/search.txt
+chmod a-w test test_weakcmpr
+a=`./dbbench -Wz -f world`
+b="world <DEF> 0 0 5 2
+world <DEF> 0 0 5 4
+world <DEF> 0 0 11 1
+world <DEF> 0 0 20 5
+world <DEF> 0 0 21 2
+world <DEF> 0 0 51 2
+world <DEF> 0 0 71 2
+world <DEF> 0 0 81 2 "
+if [ "$a" != "$b" ]
+then
+ echo "expected
+$b
+but got
+$a" >&2
+ exit 1
+fi